Restart node
import requests
url = "https://platform.ankra.app/api/v1/clusters/proxmox/{cluster_id}/nodes/{node_id}/restart"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/proxmox/{cluster_id}/nodes/{node_id}/restart', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/clusters/proxmox/{cluster_id}/nodes/{node_id}/restart \
--header 'Authorization: Bearer <token>'{
"operation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"node_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job_name": "<string>"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Proxmox Clusters
Restart node
Power-cycles one VM of the cluster through the proxmox_restart_server job and returns its operation_id. A node that is not a VM, a node outside the restartable states, a restart already running, and a control-plane restart while another control plane is being restarted, resized or upgraded answer 409. Requires clusters.operate.
POST
/
api
/
v1
/
clusters
/
proxmox
/
{cluster_id}
/
nodes
/
{node_id}
/
restart
Restart node
import requests
url = "https://platform.ankra.app/api/v1/clusters/proxmox/{cluster_id}/nodes/{node_id}/restart"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/proxmox/{cluster_id}/nodes/{node_id}/restart', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/clusters/proxmox/{cluster_id}/nodes/{node_id}/restart \
--header 'Authorization: Bearer <token>'{
"operation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"node_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job_name": "<string>"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.